<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "inwardexp.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`chalno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`godown` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } 

} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`chalno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`godown` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } 
}


$sortcond = "ORDER BY `vouchno`";
 if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`chalno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`godown`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`vouchdt`";
} 


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
$query = "SELECT a.vouchdt, a.vouchno, a.chalno, b.code, b.gcode as godown FROM `inwexpmain` a, `godown` b WHERE a.`godown` = b.`code`
            $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'chalno' => $r['chalno'],
        'godown' => $r['godown'],
        'vouchdt' => $r['vouchdt'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
